using System.ComponentModel.DataAnnotations;
using WebApp.Entities;

namespace WebApp.DTOs;
public record class EventsDto(
    int EventId,
    int OrganisationId, //foreign key
    [StringLength(200)] string Title,
    [StringLength(800)] string Description,
    [StringLength(100)] string Location,
    DateTime EventDate,
    Organisation? Organisation,
    ICollection<EventSkill> EventSkills,
    ICollection<EventRegistration> EventRegistrations
    );
